Apache log4cxx Version @version@

Public Member Functions | Protected Member Functions | List of all members
BufferedOutputStream Class Reference

Abstract class for writing to character streams. More...

`#include <bufferedoutputstream.h>`

Inheritance diagram for BufferedOutputStream:

## Public Member Functions
void | close (Pool &p)
void | flush (Pool &p)
void | write (ByteBuffer &buf, Pool &p)
virtual void | close (Pool &p)=0
virtual void | flush (Pool &p)=0
virtual void | write (ByteBuffer &buf, Pool &p)=0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions
| BufferedOutputStream (OutputStreamPtr &out, size_t size=4096)
| ~BufferedOutputStream ()
Protected Member Functions inherited from OutputStream
| OutputStream ()
virtual | ~OutputStream ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

## ◆ BufferedOutputStream()

BufferedOutputStream | ( | OutputStreamPtr & | out,
|  | size_t | size = `4096`
| ) |  |
| protected

## ◆ ~BufferedOutputStream()

~BufferedOutputStream | ( |  | ) |
| protected

## Member Function Documentation

## ◆ close()

void close | ( | Pool & | p | ) |
| virtual

Implements OutputStream.

## ◆ flush()

void flush | ( | Pool & | p | ) |
| virtual

Implements OutputStream.

## ◆ write()

void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) |  |
| virtual

Implements OutputStream.

The documentation for this class was generated from the following file:

- bufferedoutputstream.h